### Method

# EDataCal CalBackendSync discard_alarm

#### Declaration [src]

    void
    e_cal_backend_sync_discard_alarm (
      ECalBackendSync* backend,
      EDataCal* cal,
      GCancellable* cancellable,
      const gchar* uid,
      const gchar* rid,
      const gchar* auid,
      ECalOperationFlags opflags,
      GError** error
    )

#### Description [src]

Calls the discard_alarm_sync method on the given backend.

#### Parameters

`cal`

  Type: `EDataCal`

  An EDataCal object.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` for the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`uid`

  Type: `const gchar*`

  Unique id of the calendar object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  Recurrence id of the calendar object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`auid`

  Type: `const gchar*`

  Alarm ID to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`opflags`

  Type: `ECalOperationFlags`

  Bit-or of `ECalOperationFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.